package com.bsn.mes.pro.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.bsn.common.annotation.Excel;
import com.bsn.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 生产组合单对象 pro_combination
 *
 * @author generator
 * @date 2024-02-28
 */
@Data
public class ProCombination extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId
    private Long combinationId;

    /**
     * 组合单号
     */
    @Excel(name = "组合单号")
    private String combinationCode;

    /**
     * 序号
     */
    @Excel(name = "序号")
    private Long combinationSort;

    /**
     * 生产工单号
     */
    @Excel(name = "生产工单号")
    private Long workorderId;

    /**
     * 生产工单编号
     */
    @Excel(name = "生产工单编号")
    private String workorderCode;

    /**
     * 销售订单号
     */
    @Excel(name = "销售订单号")
    private Long salesOrderId;

}
