package com.bsn.mes.pro.domain.sap;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

@Data
public class SAPDtoTaskAssistProcess {
    // 外协单号：EBELN，外协项单号：EBELP，数量：MENGE，单位：MEINS，是否关单：ELIKZ
    // [{"ebeln":"8200000006","ebelp":"00010","menge":14,"meins":"PCS","ELIKZ":""}]
    private static final long serialVersionUID = 1L;
    @JSONField(name = "EBELN", ordinal = 0)
    private String assistProcessCode;
    @JSONField(name = "EBELP", ordinal = 1)
    private String assistProcessItemCode;
    @JSONField(name = "MENGE", ordinal = 2)
    private Long quantity;
    @JSONField(name = "MEINS", ordinal = 3)
    private String unit;
    @JSONField(name = "ELIKZ", ordinal = 4)
    private Integer closeType;

}