package com.bsn.mes.pro.domain.vo;

import com.bsn.mes.md.domain.MdItem;
import com.bsn.mes.pro.domain.proWorkOrder.ProWorkorder;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;


@Data
@AllArgsConstructor
@NoArgsConstructor
public class ProWorkOrderProcessToolLoseVo {
    public ProWorkOrderProcessToolLoseVo(MdItem mdItem, BigDecimal loseNum, String arrangeCode, List<String> workorderCodes) {
        this.mdItem = mdItem;
        this.loseNum = loseNum;
        this.arrangeCode = arrangeCode;
        this.workorderCodes = workorderCodes;
    }

    MdItem mdItem;

    ProWorkorder proWorkorder;

    BigDecimal loseNum;


    private String arrangeCode;
    private List<String> workorderCodes;

}
