package com.bsn.mes.pro.domain.vo.proWorkOrder;

import com.bsn.mes.pro.domain.proWorkOrder.ProWorkorder;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 装箱条码打印参数
 *
 * @author lcc
 * @date 2024-02-29
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class WorkOrderArrangeResult {

    @ApiModelProperty("未编排工单")
    private List<ProWorkorder> unArrangeList;

    @ApiModelProperty("编排后的工单")
    private List<List<ProWorkorder>> arrangeList;

}
