package com.bsn.mes.pro.schedule;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class TaskSchedulingContext {
    private Job job;

    private Task task;

    private Equipment equipment;

    @AllArgsConstructor
    @Data
    public static class TaskSchedulingResultContext{

        private Equipment equipment;

        private IOperationTimeCalculator.OperationTimePlan opertionTimePlan;

        private TaskSchedulingContext taskSchedulingContext;
    }
}
