# Bsn-mes

### 系统简介
BsnMES系统是一款B/S结构生产执行管理系统。

此系统基于本人多年离散智造行业的业务经验及J2EE项目经验开发。

主要目的是为国内离散制造业的中小企业提供一个专业化、通用性、低成本的MES系统解决方案。


### 系统架构

前端采用Vue、Element UI。

后端采用Spring Boot、Spring Security、Redis & Jwt。

权限认证使用Jwt，支持多终端认证系统。

支持加载动态权限菜单，多方式轻松权限控制。

高效率开发，使用代码生成器可以一键生成前后端代码。

触控屏端请参考Uniapp相关文档

### 功能简介

PC端：

- 系统管理

- 主数据

  - 物料产品管理
  - 工作站设置

- 生产管理

  - 生产排产

- 质量管理

- 生产排班

  - 节假日/工作日设置
  - 排班日历

- 仓储管理

  - 库存现有量
  - 条码管理
  
- 设备管理

- 统计报表

- 大屏展示

Android端：

- 生产管理

- 质量管理

- 仓储管理

- 设备管理

触控屏端：

- 登录

- 生产

- 质量

- 工序

- 设备

PDA：

- 仓储

- 生产

完整功能清单及简介请参照doc->设计文档->功能设计->《功能清单.xml》

### 安装部署

请参照doc->实施文档
