package com.bsn.mes.md.domain;

import com.bsn.common.annotation.Excel;
import com.bsn.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.List;

/**
 * sap特性字典对象 md_sap_dict
 *
 * @author yinjinlu
 * @date 2024-01-16
 */
@Data
public class MdSapDict extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 字典名称
     */
    @Excel(name = "字典名称")
    private String name;

    /**
     * 是否启用
     */
    @Excel(name = "是否启用")
    private String enableFlag;

    List<MdSapDictData> dictList;

}
