package com.bsn.mes.md.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.bsn.common.annotation.Excel;
import com.bsn.mes.md.domain.MdBaseInfo;
import com.bsn.mes.md.domain.MdProductLook;
import com.bsn.mes.md.domain.MdProductPublishedConf;
import com.bsn.mes.md.domain.MdSaleUnit;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class SapItemVo {


    @Excel(name = "SAP产品编码")
    @JSONField(name = "MATNR")
    private String sapItemCode;

    @Excel(name = "物料/产品名称")
    @JSONField(name = "MAKTX")
    private String itemName;

    @Excel(name = "规格型号")
    @JSONField(name = "ARKTX")
    private String specification;

    @Excel(name = "计量单位名称")
    @JSONField(name = "MEINS")
    private String unitOfMeasure;


    @Excel(name = "物料/产品分类")
    @JSONField(name = "MATKL")
    private String itemTypeCode;

    @Excel(name = "是否启用")
    @JSONField(name = "LVORM")
    private String enableFlag;

    @JSONField(name = "WERKS")
    private String sapFactoryInfo;

    @JSONField(name = "MAKTG")
    private String sapEnglishName;



}
