package com.bsn.mes.pro.domain.vo.proWorkOrder;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 包装工序按标签报工信息
 *
 * @author chicheng.li
 * @date 2024-05-13
 */
@Data
public class PackageReportInfo {

    @ApiModelProperty("指令主键")
    private Long workorderSoDirectiveId;

    @ApiModelProperty("SIZE主键")
    private Long workorderSoSizeItemId;

    @ApiModelProperty("报工数")
    private BigDecimal reportQuantity;

    @ApiModelProperty("包装数")
    private Integer packageNum;

    @ApiModelProperty("净重")
    private BigDecimal netWeight;

    @ApiModelProperty("二维码")
    private String qrcode;



}
