package com.bsn.mes.pro.domain.vo.proWorkOrder;

import com.bsn.mes.pro.domain.proWorkOrder.ProWorkorder;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

/**
 * 工单工序信息
 *
 * @author lcc
 * @date 2024-02-29
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class WorkOrderProcessInfo {

    @ApiModelProperty("工单ID")
    private Long workorderId;

    @ApiModelProperty("工序名")
    private String processName;

    @ApiModelProperty("产品分类")
    private String itemTypeName;

}
