package com.bsn.mes.pro.domain.vo.proWorkOrder;

import com.bsn.common.annotation.Excel;
import com.bsn.mes.pro.domain.proWorkOrder.ProWorkOrderSoDirective;
import com.bsn.mes.pro.domain.proWorkOrder.ProWorkOrderSoSizeItem;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * 工单包装信息结果
 *
 * @author chicheng.li
 * @date 2024-05-15
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class WorkorderPackageResult {

    List<WorkorderPackage> packageList;

    List<ProWorkOrderSoDirective> directiveList;

    List<ProWorkOrderSoSizeItem> sizeList;

    PackageType packageType;

}
