package com.bsn.mes.pro.schedule.impl;

import com.bsn.mes.pro.schedule.ScheduleStatus;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

public interface IScheduleAlgorithmAdapter {

    /**
     * 执行排产结果
     * @param schedulingStartedDate 排产开始时间
     * @param orderIds 工单集合
     * @return
     */
    List<ScheduledResult> schedule(LocalDateTime schedulingStartedDate, List<Long> orderIds);

}
