package com.bsn.mes.report.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.bsn.common.annotation.Excel;
import com.bsn.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 报表管理对象 ureport_file_tbl
 *
 * @date 2022-10-07
 */
@Data
public class UreportFileTbl extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String name;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String content;

    /**
     * 报表类型
     */
    private String reportType;

    /**
     * 是否打印模版
     */
    private Integer isPrintTemplate;

    private String remark;
}
